<h1>GET api/reportserver/v2/documents/{documentId}</h1>
<div>
<p>
Retrieves a report document file by its ID.
To specify whether the document will be directly opened in the browser or downloaded as a file, you can use a "content-disposition" parameter in the URL query.
For example: http://{reportserverhost}/api/reportserver/documents/{id}?content-disposition=attachment. To open the document directly in the browser omit
the "content-disposition" parameter.
This endpoint can be used to get only report documents created via the POST /documents endpoint. 
</p>

<h2>Request Information</h2>

<h3>URI Parameters</h3>
<table class="help-page-table">
<thead>
<tr><th>Name</th><th>Description</th><th>Type</th><th>Additional information</th></tr>
</thead>
<tbody>
<tr>
<td class="parameter-name">documentId</td>
<td class="parameter-documentation">
<p>Report document ID.</p>
</td>
<td class="parameter-type">
string

</td>
<td class="parameter-annotations">
<p>Required</p>
</td>
</tr>
</tbody>
</table>

<h3>Body Parameters</h3>

<p></p>

<p>None.</p>

<h2>Response Information</h2>

<h3>Resource Description</h3>

<p>The bytes of the report document.</p>

Collection of byte

<table class="help-page-table">
<thead>
<tr><th>Name</th><th>Description</th><th>Type</th><th>Additional information</th></tr>
</thead>
<tbody>
</tbody>
</table>

<h3>Response Formats</h3>
<div>
<h4 class="sample-header">application/json, text/json</h4>
<div class="sample-content">

```
"QEA="
```

</div>
</div>
</div>
